commit:     8471cc64d0ad8e93315b030ffe138b99eff29145
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May 14 07:46:22 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 14 08:14:17 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8471cc64

dev-python/pycares: Bump to 4.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pycares/Manifest             |  1 +
 dev-python/pycares/pycares-4.0.0.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/pycares/Manifest b/dev-python/pycares/Manifest
index a70bc1f15fd..597d361d7fe 100644
--- a/dev-python/pycares/Manifest
+++ b/dev-python/pycares/Manifest
@@ -1,2 +1,3 @@
 DIST pycares-3.1.1.tar.gz 216259 BLAKE2B 
4481689e418695838c456f1e15b38dcdabadb106f393f52ec21a358b06621650d4e82086ca913abb341b9d8658db1c9ddd0064e68413e71a4ddded070647edfb
 SHA512 
52c529510e3342c0b97ad0b4b9277d1f364da7719817a31a3cfac1f88613ea82f127182eab7c52c2fcd08008c689885bb4196f887a0f81b769f08f7cbf39909e
 DIST pycares-3.2.3.tar.gz 214612 BLAKE2B 
e06f45a8b8e9312596ff6a56262cc91c32cd578ea2dc4c54c0a9e52ec1aa1cb8174aa03c486c74c98bbc22e7801e231244e64a943d40407f7731fe00400723f6
 SHA512 
126c4cc1390b558da4ce82dfbd11c56ad6be038ce5eda93641548faa4a59cd81f08265b71de31d5b54238ccf8e7d937272c13611111b04230c6ee7e4f01cb8d8
+DIST pycares-4.0.0.tar.gz 43512 BLAKE2B 
cccfd5738582da570a2b9b17e6e31764ff2fffe4306f08c09374707a8e1c997ca7bdf0c867252c6ec66712622c927989c4d8bcad42075c48cb2af0a5364908e8
 SHA512 
796f14fb13c5e848b98459287d9658e8d81a48b2b6e08793f794bf9bcf7381bd400f43a07b50b23c4578579098dab5954beae09f8d35da7b809552f701d03b05

diff --git a/dev-python/pycares/pycares-4.0.0.ebuild 
b/dev-python/pycares/pycares-4.0.0.ebuild
new file mode 100644
index 00000000000..7438fd24ca2
--- /dev/null
+++ b/dev-python/pycares/pycares-4.0.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface for c-ares"
+HOMEPAGE="https://github.com/saghul/pycares/";
+SRC_URI="https://github.com/saghul/pycares/archive/${P/_p/-fix}.tar.gz";
+S=${WORKDIR}/${PN}-${P/_p/-fix}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+# Tests fail with network-sandbox, since they try to resolve google.com
+#RESTRICT="test"
+
+DEPEND="net-dns/c-ares"
+BDEPEND="virtual/python-cffi[${PYTHON_USEDEP}]"
+RDEPEND="
+       ${DEPEND}
+       ${BDEPEND}"
+
+export PYCARES_USE_SYSTEM_LIB=1
+
+python_test() {
+       "${EPYTHON}" tests/tests.py -v || die
+}

Reply via email to